RUMBAD(1)

NAME
rumbad - rumbad

SYNOPSIS
rumbad

DESCRIPTION

--help
    Display usage and exit.

--version
    Print version information and exit. [optional]

--log-file-path
    File path to store the log. [optional]

port
    POSITIONAL [required]

stats_filepath
    POSITIONAL [optional]

rumbad is a daemon for the recc compiler wrapper. It listens to compilation data protobuf messages sent to a UDP port, and handles writing them to some persistent storage in batches. Environment Variables:

    RUMBAD_RECV_BUFFER_SIZE: Used to set the value of SO_RCVBUF. Will be ignored if set to a non-integer value. RUMBAD_PUBLISH_INTERVAL: Number of seconds to wait between writing batches of messages to the persistent storage. RUMBAD_USE_STDOUT: If set to non-null, then rumbad will send records to stdout